## org.codehaus.groovy.grails.context.annotation
Class GrailsContextNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.codehaus.groovy.grails.context.annotation.GrailsContextNamespaceHandler

All Implemented Interfaces:
  NamespaceHandler

    public class GrailsContextNamespaceHandler

extends NamespaceHandlerSupport

Provides custom implementation of component-scan that ignores Groovy closures

Since:
  1.2
Author:
  Graeme Rocher

Constructor Summary
`GrailsContextNamespaceHandler()`

Method Summary
`void` `init()`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsContextNamespaceHandler

    public GrailsContextNamespaceHandler()

Method Detail

### init

    public void init()

Copyright (c) 2005-2009 The Grails project